Subject: Re: [Sipping] Comment on draft-schulzrinne-sipping-sos-01.txt

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 28 May 2002 19:03:06 -0400

Picking up an old thread.

Michael Hammer wrote:

> an indication that the call is an emergency call
>    (with possible distinctions in kinds of emergencies
>     to aid in routing to police, fire, or paramedics)
>   (URI stuff already discussed)

This is what -sos- tries to cover.

> 
> the geographic location of the caller (which might be value unknown)
>    (geographic parameter)
> 
> network be able to inform the caller of the correct local emergency number
>    (based on analysis of the geographic data with default to local 
> configuration)
>    (new response values?)

I don't think the caller has to be informed. I'd much rather have the 
call be routed to the correct place, rather than having to re-enter a 
new address.

> 
> network be able to forward the call (nothing new?)
> caller be able to re-originate the call (nothing new?)
> 
> What I find interesting is that this very quickly devolves into 
> specifying the service (which I thought was anathema) and possibly 
> implementation.
> 
> Mike

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Michael Hammer <[email-masked]>
Date: Wed, 29 May 2002 11:39:30 -0400

Henning,

What do you see the relationship between SIP and things like MAP used in 
mobile networks today?

I believe that the mobile standards folks were addressing geographic 
location within their application layer protocols.  Also, geographic 
velocity could also be useful, as this can help correlate GPS-like 
information to coordinates on a road map.

Mike

At 07:03 PM 5/28/2002 -0400, Henning Schulzrinne wrote:
>I don't think the caller has to be informed. I'd much rather have the call 
>be routed to the correct place, rather than having to re-enter a new address.
>

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 29 May 2002 11:53:44 -0400

> What do you see the relationship between SIP and things like MAP used in 

I'm not sure I understand the question. What services does MAP offer?

> information to coordinates on a road map.

For the time being, I've given up on adding geographic information to 
SIP within the IETF. It would be trivial to do and very useful, but it 
is currently blocked by politics. I suspect that the only way forward is 
the 3GPP forcing function. That appears to be the only way to get any 
SIP document in the IETF moved forward at this point. No 3GPP interest, 
no RFC (in durations smaller than a five-year cycle).

---

From: Michael Hammer <[email-masked]>
Date: Wed, 29 May 2002 12:37:31 -0400

The Mobile Application Part (MAP) is involved with registration of roaming 
users and intersystem handoff, as well as security aspects regarding 
distribution of keying information.  If seems like there may be overlap 
with SIP in the area of registrations, and with Mobile IP in the realm of 
handoff, as well as some of the security protocols.  How many registrations 
does a terminal need to do?  I'm wondering how the introduction of SIP will 
affect the existing system's roles.

Mike

At 11:53 AM 5/29/2002 -0400, Henning Schulzrinne wrote:

>For the time being, I've given up on adding geographic information to SIP 
>within the IETF. It would be trivial to do and very useful, but it is 
>currently blocked by politics. I suspect that the only way forward is the 
>3GPP forcing function. That appears to be the only way to get any SIP 
>document in the IETF moved forward at this point. No 3GPP interest, no RFC 
>(in durations smaller than a five-year cycle).
>
>
>>Mike
>>